import { NpmRegistryConfig } from '../../interfaces/npm-controller.interface';
import { ITokenHandler } from '../../modules/Token-handler/ITokenHandler';
import { NpmRegistryParams } from '../../interfaces/ewizardService.types';
export declare class EwizardClient {
    private url;
    private apiUrl;
    private tokenHandler?;
    private keyCloakClient?;
    private request;
    constructor(url: string, apiUrl: string, tokenHandler?: ITokenHandler, keyCloakClient?: any);
    getConfig(): Promise<any>;
    getEwizardVersion(url?: string): Promise<string | void>;
    getComponentLibrary(): any;
    getUser(): any;
    getGraylog(): any;
    getNpmRegistry({ action, repositoryType }: NpmRegistryParams): Promise<NpmRegistryConfig>;
    get(route: string): any;
    post(route: string, options: any): any;
    handleError(err: any, url?: string): void;
}
